// htmlArea v3.0 - Copyright (c) 2002 interactivetools.com, inc.
// This copyright notice MUST stay intact for use (see license.txt).
//
// A free WYSIWYG editor replacement for <textarea> fields.
// For full source code and docs, visit http://www.interactivetools.com/
//
// Version 3.0 developed by Mihai Bazon for InteractiveTools.
//           http://students.infoiasi.ro/~mishoo

function Toolbar(params) {
	this.name=params.name;
	this.showTooltip=(params.showTooltip+""=="undefined") ? true : params.showTooltip;
	this.showHand=(params.showHand+""=="undefined") ? false : params.showHand;
	this.buttonSize=(params.buttonSize+""=="undefined") ? 32 : params.buttonSize;
	this.imgPath=(params.imgPath+""=="undefined") ? "" : params.imgPath;
	this.buttons=params.buttons;
	this.grid=params.grid;
	this.toolbarName=(params.grid+""=="undefined") ?  this.name : params.grid.name+".Toolbar";
	
	this.Write=function(rewrite,rewriteNoDiv) {
		var s1="<DIV CLASS=toolbar ID="+this.name+">";
		var s='<DIV CLASS=space STYLE="width:12px"></DIV>';
		for (var i=0;i<this.buttons.length;i++)	{
			if (this.buttons[i][0]=="separator" || this.buttons[i][0]=="space") {
				s+="<DIV CLASS="+this.buttons[i][0]+' STYLE="height:'+this.buttonSize+'px"></DIV>';
			} else {
				s+='<DIV ID='+i.toString()+this.name+'button CLASS=button';
				if (!this.buttons[i][3]) {
					s+="Disabled"
				}
				s+=' onclick="'+this.toolbarName+'.ClickButton(this,'+i+');" onmousedown="'+this.toolbarName+'.MouseDownButton(this,'+i+')" onmouseover="'+this.toolbarName+'.MouseOverButton(this,'+i+');" onmouseout="'+this.toolbarName+'.MouseOutButton(this,'+i+')"';
				s+='><IMG';
				if (this.showHand)
					s+=' STYLE="cursor:hand"';
				s+=" onclick='if (hasClass(this.parentNode,\"buttonDisabled\")) return;"+this.buttons[i][1]+"' SRC="+this.imgPath+this.buttons[i][0]+this.buttonSize+".gif WIDTH="+this.buttonSize+" HEIGHT="+this.buttonSize+"></DIV>";
			}
		}
		if (rewriteNoDiv) return s;
		s+="</DIV>";
		if (rewrite) return s1+s;
		document.writeln(s1+s);
	}

	this.press=function(ele) {
		var index=InArray(this.buttons,ele,0);
		this.buttons[index][5]=true;
		addClass(document.getElementById(index.toString()+this.name+'button'),"buttonPressed");
	}

	this.enable=function(ele) {
		var index=InArray(this.buttons,ele,0);
		this.buttons[index][3]=true;
		removeClass(document.getElementById(index.toString()+this.name+'button'),"buttonDisabled"); 
		addClass(document.getElementById(index.toString()+this.name+'button'),"button"); 
	}

	this.disable=function(ele) {
		var index=InArray(this.buttons,ele,0);
		this.buttons[index][3]=false;
		removeClass(document.getElementById(index.toString()+this.name+'button'), "buttonHover");
		addClass(document.getElementById(index.toString()+this.name+'button'),"buttonDisabled"); 
		if (this.buttons[index][6])
			document.getElementById(index.toString()+this.name+'button').firstChild.src=this.imgPath+this.buttons[index][0]+this.buttonSize+".gif";
	}

	this.ClickButton=function(ele,index) {
		removeClass(ele, "buttonActive");
		if (this.buttons[index][3] && this.buttons[index][4] ) {
			if (this.buttons[index][5]) {
				removeClass(ele,"buttonPressed");
				this.buttons[index][5]=false;
			} else {
				addClass(ele,"buttonPressed");
				this.buttons[index][5]=true;
			}
		} 
	}

	this.MouseDownButton=function(ele,index) {
		if (this.buttons[index][3]) {
			addClass(ele, "buttonActive");
		}
	}


	this.MouseOverButton=function(ele,index) {
		if ((this.buttons[index][3] && !this.buttons[index][4]) || (this.buttons[index][3] && this.buttons[index][4] && !this.buttons[index][5])) {
			addClass(ele,"buttonHover");
			if (this.showTooltip)
				ele.title=this.buttons[index][2];
			else
				window.status=this.buttons[index][2];
		}
		if (this.buttons[index][6] && this.buttons[index][3])
			ele.firstChild.src=this.imgPath+this.buttons[index][0]+this.buttonSize+"On.gif";
	}

	this.MouseOutButton=function(ele,index) {
		if ((this.buttons[index][3] && !this.buttons[index][4]) || (this.buttons[index][3] && this.buttons[index][4] && !this.buttons[index][5])) {
			removeClass(ele,"buttonHover");
			removeClass(ele,"buttonActive");
			removeClass(ele,"buttonPressed");
		}
		if (!this.showTooltip) window.status=window.defaultStatus;
		if (this.buttons[index][6])
			ele.firstChild.src=this.imgPath+this.buttons[index][0]+this.buttonSize+".gif";
		
	}
}

function removeClass(el, className) {
	if (!(el && el.className)) {
		return;
	}
	var cls = el.className.split(" ");
	var ar = new Array();
	for (var i = cls.length; i > 0;) {
		if (cls[--i] != className) {
			ar[ar.length] = cls[i];
		}
	}
	el.className = ar.join(" ");
}

function addClass(el, className) {
	// remove the class first, if already there
	removeClass(el, className);
	el.className += " " + className;
}

function hasClass(el, className) {
	var cls = el.className.split(" ");
	for (var i = cls.length; i > 0;) {
		if (cls[--i] == className) {
			return true;
		}
	}
	return false;
}

