// ArrayGrid parameter is an array of the table's columns, with the following values for every one:
//
//             ["col's title",
//              "col's associated datasource field",
//              "data type for the column: N=Number, S=String, D=Date, B=Boolean, I=Image; successive "L" char, if present, indicate that the col's value is a link",
//              "col's width, in percentage ([num]%) or in pixel ([num]px)",
//              "column header's bgColor",
//              "col's bgColor",
//              "tooltip showed on the status bar for the col's header (that is a link to plan the grid's sort)",
//  (optional)  "column body's alignment",
//  (optional)  "inner text font's color",
//  (optional)  "inner text font's style",
//  (optional)  "marked rows inner text font's color",
//  (optional)  "marked rows inner text font's style"]

var itArrayGridVisits=[["ID","ID","N","80px","Ivory","White","Ordina per l\\\' ID","RIGHT"],
                       ["Indirizzo","Address","SL","550px","Ivory","White","Ordina per l\\\' indirizzo"],
                       ["Url","Url","SL","350px","Ivory","White","Ordina per l\\\' Url"],
                       ["User Agent","UserAgent","S","900px","Ivory","White","Ordina per l\\\' User Agent"],
                       ["Lingua","Language","S","250px","Ivory","White","Ordina per la lingua","CENTER"],
                       ["Data","Date","D","450px","Ivory","White","Ordina per la data","RIGHT"]];

var enArrayGridVisits=CopyArray(itArrayGridVisits);
enArrayGridVisits[0][0]="ID";
enArrayGridVisits[0][6]="Order by ID";
enArrayGridVisits[1][0]="Address";
enArrayGridVisits[1][6]="Order by address";
enArrayGridVisits[2][0]="Url";
enArrayGridVisits[2][6]="Order by Url";
enArrayGridVisits[3][0]="User Agent";
enArrayGridVisits[3][6]="Order by User Agent";
enArrayGridVisits[4][0]="Language";
enArrayGridVisits[4][6]="Order by language";
enArrayGridVisits[5][0]="Date";
enArrayGridVisits[5][6]="Order by date";

function Visits_init() {
	params=new Object();
	params.name="Visits";
	params.height=313;
	//params.height=0; //setting the height to 0 the grid is visualized with the whole page's scrollbars
	if (params.height!=0)
		params.width="2580px";
	params.headerFontAttrib="FACE=Arial SIZE=2";
	params.gridFontAttrib="FACE=Arial SIZE=2";
	params.rowOverBgColor="#FFCC66";
	params.rowMarkBgColor="#996699";
	params.rowMarkFontStyle="font-weight:bold";
	params.filterBgColor="#F0F0F0";
	params.charInclusive="_";
	params.visible=false;
	params.ArrayGrid=eval(GetLang()+"ArrayGridVisits");
	//ArrayFilter is an array with the data-fields used for the grid's filter,
	//with the following values: ["data-field name for the relative column","data-field type: N=Number, S=String, D=Date, B=Boolean"]
	params.ArrayFilter=[["ID","N"],["Address","S"],["Url","S"],["UserAgent","S"],["Language","S"],["DateFilter","D"]];
	//ArraySort indicate the data-fields that enstabilish the grid's sort rules when the user clicks on the column associated;
	//its values are: ["data-field name that set the ascending order","data-field name that set the descending order"]
	params.ArraySort=[["ID","ID"],["Address","Address"],["Url","Url"],["UserAgent","UserAgent"],["Language","Language"],["DateFilter","DateFilter"]];
	params.OnClickSpan=OnClickSpan;
	params.OnMouseOverSpan=OnMouseOverSpan;
	params.recPageSize=30;
	params.debug=true;
	params.serverSide="PHP"; //this parameter indicates the server-side working of the grid (see point 4 of the info's page): can be set to "PHP", "ASP" (not yet implemented) or false (default) for doesn't work in this mode
	if (params.serverSide) {
		params.firstSort="D5,A1"; //D=Descending, A=Ascending , the following number indicate the field contained in the $ArraySort var ($ArraySortAsc[num] for A, $ArraySortDesc[num] for D) of the php data file relative to this script (php/data/dataVisits.php)
		params.canReload=true;
	} else {
		params.firstSort="-DateFilter;+Address";
	}

	Visits=new Grid(params);
}

function OnClickSpan(ele) {
	if (Visits.filterVisible) return;
	if (ele.dataFld=="Address") {
		window.open('http://'+ele.innerText);
	} else if (ele.dataFld=="Url") {
		if (ele.innerText=="Smiles") {
			Mainmenu.ChangeTab(0);
		} else if (ele.innerText=="Cartridges") {
			Mainmenu.ChangeTab(1);
		} else if (ele.innerText=="Products") {
			Mainmenu.ChangeTab(2);
		} else if (ele.innerText=="Webdatagrid.htm") {
			Mainmenu.ChangeTab(4);
		} else if (ele.innerText=="Webdatagrid.zip") {
			Download();
		} else if (ele.innerText=="Copyright.htm") {
			Visits.ShowCopyright();
		}
	}
}

function OnMouseOverSpan(ele) {
	if (ele.dataFld=="Url") {
		if (ele.innerText=="Visits") {
			ele.style.cursor="auto";
		}
	} else if (ele.dataFld=="Language") {
		var p=InArray(languages,ele.innerText.substr(0,2),0);
		if (p==-1) return;
		ele.title=ele.innerText.substr(0,2)+" = ";
		if (GetLang()=="it")
			ele.title+=languages[p][2];
		else
			ele.title+=languages[p][1];
	}
}

var languages =[["af","Afrikaans","Africano"],
		["ar","Arabic","Arabo"],
		["bg","Bulgarian","Bulgaro"],
		["be","Belarusian","Bielorusso"],
		["ca","Catalan","Catalano"],
		["cs","Czech","Ceco"],
		["da","Danish","Danese"],
		["de","German","Tedesco"],
		["es","Spanish","Spagnolo"],
		["el","Greek","Greco"],
		["en","English","Inglese"],
		["et","Estonian","Estone"],
		["eu","Basque","Basco"],
		["fa","Farsi","Farsi"],
		["fi","Finnish","Finlandese"],
		["fo","Faeroese","Faeroese"],
		["fr","French","Francese"],
		["gd","Gaelic","Gaelico"],
		["he","Hebrew","Ebraico"],
		["hi","Hindi","Hindi"],
		["hr","Croatian","Croato"],
		["hu","Hungarian","Ungaro"],
		["in","Indonesian","Indonesiano"],
		["is","Icelandic","Islandese"],
		["it","Italian","Italiano"],
		["ja","Japanese","Giapponese"],
		["ji","Yiddish","Yiddish"],
		["ko","Korean","Koreano"],
		["lt","Lithuanian","Lituano"],
		["lv","Latvian","Lettone"],
		["mk","Macedonian","Macedone"],
		["ms","Malaysian","Malaysiano"],
		["mt","Maltese","Maltese"],
		["nl","Dutch","Olandese"],
		["no","Norwegian","Norvegese"],
		["pl","Polish","Polacco"],
		["pt","Portuguese","Portoghese"],
		["rm","Rhaeto-Romanic","Reto-Romanzo"],
		["ro","Romanian","Rumeno"],
		["ru","Russian","Russo"],
		["sb","Sorbian","Serbo"],
		["sk","Slovak","Slovacco"],
		["sl","Slovenian","Sloveno"],
		["sq","Albanian","Albanese"],
		["sr","Serbian","Serbo"],
		["sv","Swedish","Svedese"],
		["sx","Sutu","Sutu"],
		["sz","Sami(Lappish)","Lappone"],
		["th","Thai","Thailandese"],
		["tn","Tswana","Tswana"],
		["tr","Turkish","Turco"],
		["ts","Tsonga","Tsonga"],
		["uk","Ukrainian","Ucraino"],
		["ur","Urdu","Ind"],
		["ve","Venda","Vandeano"],
		["vi","Vietnamese","Vietnamese"],
		["xh","Xhosa","Xhosa"],
		["zh","Chinese","Cinese"],
		["zu","Zulu","Zulu"]];

Visits_init();